[tex-live] Errors building latest 2014 tex --ini latex.ltx

Joseph Wright joseph.wright at morningstar2.co.uk
Mon Dec 8 23:23:53 CET 2014

On 08/12/2014 18:22, Juan Falgueras wrote:
>     Thank you for your quick answer
> The problem is not me making the default fmts  I use a lot of fmt for further faster texing… That is something I have been doing for many years (since 1989, to be precise).  The problem is when I active the 2014 version.  With the 2012 nor before, I have ever seen any trouble
> I am sending you the Terminal output of simply:
> tex --ini latex.ltx
> that ends with:
>> (/usr/local/texlive/2014/texmf-dist/tex/generic/hyph-utf8/patterns/tex/hyph-ka.
> tex
> ! Undefined control sequence.
> \utfthreeuniglyph ... \expandafter {\the \numexpr 
>                                                   4096*(#1-224)+64*(`#2-128)...
> l.36 .^^e1^^83^^90
>                   ^^e1^^83^^954^^e1^^83^^a0^^e1^^83^^ac^^e1^^83^^a7^^e1^^83^^90
> ? x
> No pages of output.
> Transcript written on latex.log.
> Thanks for any hint here.  I am really stuck with this error.

e-TeX is assumed nowadays by everything other than 'pure' plain TeX. AS
such, the \numexpr primitive is used by some of the hyphenation patterns
built into the LaTeX format by babel. You have two broad options

 - Enable the e-TeX extensions, e.g.

    etex --ini latex.ltx

 - Use a custom version of either the entire hyphenation control file
   or the specifc files using the extensions to avoid using e-TeX.

The LaTeX team announced some years ago that e-Tex would be assumed and
while latex.ltx doesn't currently require the extensions other team
packages do, quite apart from third-party code. I'd therefore *strongly*
recommend the first approach: enable e-TeX.
Joseph Wright

More information about the tex-live mailing list